%define	upstream_name	 Mail-RBL
%define	upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl extension to access RBL-style host verification services
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(NetAddr::IP)
BuildRequires:  perl(Net::DNS)
Buildarch:	noarch


%description
This module eases the task of checking if a given host is in the list. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# some RBL can't be queries from build host
export SKIP_RBL_TESTS=1
%{__make} test

%install
%make_install

%files 
%doc README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog
* Tue Nov 01 2022 umeabot <umeabot> 1.100.0-10.mga9
+ Revision: 1901178
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-9.mga8
+ Revision: 1495497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-8.mga7
+ Revision: 1269132
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1029507
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 929712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 748235
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 685319
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 512740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 369424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33945
- mageia rebuild
- imported package perl-Mail-RBL

